include:
  - local: .gitlab/ci/jobs/run.yaml
  - local: .gitlab/ci/jobs/docker.yaml
  - local: .gitlab/ci/jobs/startup.yaml
  - local: .gitlab/ci/jobs/sentry.yaml
  - local: .gitlab/ci/jobs/deploy.yaml
    rules:
      - exists:
          - tools/scripts/deployment/ci/**
  - local: .gitlab/ci/jobs/e2e.yaml
    rules:
      - exists:
          - "**/cypress.config.ts"
  - local: .gitlab/ci/jobs/component-test.yaml
    rules:
      - exists:
          - "**/cypress.config.ts"
  - local: .gitlab/ci/jobs/writerside.yaml
    rules:
      - exists:
          - Writerside/*.tree

stages:
  - run
  - docker
  - startup
  - deploy

variables:
  ENVIRONMENT_NAME: release/$CI_COMMIT_TAG
